#ifndef __MAX31343_PLATFORM_SPECIFIC_H
#define __MAX31343_PLATFORM_SPECIFIC_H

#include "MAX31343.h"
#include "max40080_thread.h"

#include <stdint.h>
#include "hal_data.h"

#define MAX31343_IIC_MASTER_INSTANCE                    g_i2c_master0

MAX31343_Status MAX31343_PlatformSpecific_Init();
MAX31343_Status MAX31343_PlatformSpecific_Deinit();
MAX31343_Status MAX31343_PlatformSpecific_ReadRegisters(uint8_t registerAddress, uint8_t* buffer, size_t bufferSize);
MAX31343_Status MAX31343_PlatformSpecific_WriteRegisters(uint8_t registerAddress, uint8_t* buffer, size_t bufferSize);
MAX31343_Status MAX31343_PlatformSpecific_ConfigureExternalInterrupt();

#endif
