#ifndef QSPI_HELPER
#define QSPI_HELPER

#define PAGE_WRITE_SIZE                 (256U)
#define QSPI_FLASH_ADDRESS(page_no)     (uint8_t *) (QSPI_DEVICE_START_ADDRESS + (page_no * PAGE_WRITE_SIZE))
#define SECTOR_SIZE                     (4096U)
#define DEFAULT_MEM_VAL                 (0xFF)

/* QPI mode exit command */
#define QSPI_MX25L_CMD_EXIT_QPI_MODE    (0xF5)

/* QPI mode entry command */
#define QSPI_MX25L_CMD_ENTER_QPI_MODE   (0x35)

void QSPI_Init(void);

#endif

